
package splitdocumentopdf2;

import java.io.File;
import java.io.IOException;
import java.util.List;
import org.apache.pdfbox.multipdf.Splitter;
import org.apache.pdfbox.pdmodel.PDDocument;


public class SplitDocumentoPDF2 {
    
    public static void main(String[] args) throws IOException {
       String[] documentos = {"Primero","Segundo","Tercero"};
       PDDocument pDDocument = PDDocument.load(new File("D:\\PDFs_creados\\Prueba.pdf"));
       
       List<PDDocument> listaPaginas = new Splitter().split(pDDocument);
       for (int i=0; i<listaPaginas.size(); i++) {
           PDDocument pDDocumentHoja = listaPaginas.get(i);      
           pDDocumentHoja.save("D:\\PDFs_creados\\" +documentos[i]+".pdf");
       }
       
       pDDocument.close();
    }
}